Item Logo
Wms apiInternal referenceAdjust api

Adjust Inventory QTY Incremental

Adjust Inventory Qty Incremental API

Adjust Inventory Qty Incremental API is used in Warehouse Management System to incrementally adjust inventory quantities. This article introduces the general Adjust Inventory Qty Incremental API for easily understanding and applying this API.

Introduction

Adjust Inventory Qty Incremental API allows users to add or reduce quantity of specific items in the warehouse inventory based on operational needs, ,such as restocking, shrinkage or discrepancies. It ensures the system reflects real-time stock level.

API Request

API: POST /edi/adjust/inventory-adjust-qty-incremental Body Request:

Body Parameter

Required

Description

Note

CompanyID

Y

Company ID

"LT"

CustomerID

Y

Customer ID

"AUKINT0001"

FacilityID

Y

Facility ID

"889"

LP

Y

LP ID<br />* LP and Location should not be both empty

"ILP-1000011"

Location

Y

Location<br />* LP and Location should not be both empty

"01.001.002.3"

Status

N

Inventory Status

[<br/> "AVAILABLE"<br/> "ON_HOLD"<br/>]

Title

N

Item Title


GoodsType

N

Item Goods Type

[<br/> "GOOD"<br/> "DAMAGE"<br/>]

LotNo

N

Item Lot Number


ExpirationDate

N

Item Expiration Date

2023-01-01T00:00:00-07:00

MfgDate

N

Item MFG Date

2023-01-01T00:00:00-07:00

ShelfLifeDate

N

Item Shelf Life Date

2023-01-01T00:00:00-07:00

SN

N

Item SN


ItemID

Y

Item ID

"SKU10001"

UOM

Y

ITEM UOM

[<br/> "EA"<br/> "CS"<br/>]

DeltaQty

Y

Page Object

100

Note

N

Adjustment Note


Reason

Y

Adjustment Reason

[<br/> "Cycle Count",<br/> ""CC Overage",<br /> ""CC Shortage",<br /> ""Physical Count",<br />]

API Return

It returns the status which indicates the operation is correct or not, for more detail, please refer to the following example.

Example

Available inventory 50 is updated with following request Before: 50 After: 150

Request

Response